| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::collected_reaction Class Reference

Represents a reaction. Can be filled for use in a collector. More...

`#include <collector.h>`

Inheritance diagram for dpp::collected_reaction:
[legend]
Collaboration diagram for dpp::collected_reaction:
[legend]

## Public Member Functions

constexpr double | get_creation_time () const noexcept
| Get the creation time of this object according to Discord.
constexpr bool | operator!= (const managed &other) const noexcept
| Comparison operator for comparing two managed objects by id.
constexpr bool | operator== (const managed &other) const noexcept
| Comparison operator for comparing two managed objects by id.

## Public Attributes

snowflake | id = {}
| Unique ID of object set by Discord. This value contains a timestamp, worker ID, internal server ID, and an incrementing value. Only the timestamp is relevant to us as useful metadata.
snowflake | message_author_id {}
| Optional: ID of the user who authored the message which was reacted to.
channel | react_channel {}
| Reacting channel.
emoji | react_emoji {}
| Reacted emoji.
guild | react_guild {}
| Reacting guild.
guild_member | react_member {}
| Reacting guild member.
user | react_user {}
| Reacting user.

## Detailed Description

Represents a reaction. Can be filled for use in a collector.

## Member Function Documentation

## ◆ get_creation_time()

double dpp::managed::get_creation_time | ( |  | ) | const

inline constexpr noexcept inherited

Get the creation time of this object according to Discord.

Returns
  double creation time inferred from the snowflake ID. The minimum possible value is the first second of 2015.

## ◆ operator!=()

bool dpp::managed::operator!= | ( | const managed & | other | ) | const

inline constexpr noexcept inherited

Comparison operator for comparing two managed objects by id.

Parameters

  other | Other object to compare against

Returns
  true objects are not the same id
  false objects are the same id

## ◆ operator==()

bool dpp::managed::operator== | ( | const managed & | other | ) | const

inline constexpr noexcept inherited

Comparison operator for comparing two managed objects by id.

Parameters

  other | Other object to compare against

Returns
  true objects are the same id
  false objects are not the same id

## Member Data Documentation

## ◆ id

snowflake dpp::managed::id = {}

inherited

Unique ID of object set by Discord. This value contains a timestamp, worker ID, internal server ID, and an incrementing value. Only the timestamp is relevant to us as useful metadata.

## ◆ message_author_id

snowflake dpp::collected_reaction::message_author_id {}

Optional: ID of the user who authored the message which was reacted to.

## ◆ react_channel

channel dpp::collected_reaction::react_channel {}

Reacting channel.

## ◆ react_emoji

emoji dpp::collected_reaction::react_emoji {}

Reacted emoji.

## ◆ react_guild

guild dpp::collected_reaction::react_guild {}

Reacting guild.

## ◆ react_member

guild_member dpp::collected_reaction::react_member {}

Reacting guild member.

## ◆ react_user

user dpp::collected_reaction::react_user {}

Reacting user.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0